ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)


# Common build options
PATH_BUILDPREFIX=/usr
PATH_CONFPREFIX=/etc/openmpi


CFLAGS += -D__NetBSD__
CPPFLAGS += -D__NetBSD__
CXXFLAGS += -D__NetBSD__


CONFIGUREFLAGS += --prefix="$(PATH_BUILDPREFIX)"
CONFIGUREFLAGS += --sysconfdir="$(PATH_CONFPREFIX)"
CONFIGUREFLAGS += --disable-mpi-fortran
#~ CONFIGUREFLAGS += --with-ompi-pmix-rte
#~ CONFIGUREFLAGS += --with-orte
#~ CONFIGUREFLAGS += --with-hwloc=internal
#~ CONFIGUREFLAGS += --enable-debug
#~ CONFIGUREFLAGS += --without-orte
#~ CONFIGUREFLAGS += --without-flux-pmi
#~ CONFIGUREFLAGS += --disable-mca-dso
#~ CONFIGUREFLAGS += --disable-dlopen
#~ CONFIGUREFLAGS += --with-libevent=$(INSTALL_ROOT_$(OS))/$(CPUVARDIR)/$(PATH_BUILDPREFIX)
#~ CONFIGUREFLAGS += --with-pmix=$(INSTALL_ROOT_$(OS))/$(CPUVARDIR)/$(PATH_BUILDPREFIX)


POST_INSTALL  = rm -f $(INSTALL_ROOT_$(OS))/$(CPUVARDIR)/$(PATH_BUILDPREFIX)/bin/mpic*; \
                rm -f $(INSTALL_ROOT_$(OS))/$(CPUVARDIR)/$(PATH_BUILDPREFIX)/bin/mpiCC; \
                rm -f $(INSTALL_ROOT_$(OS))/$(CPUVARDIR)/$(PATH_BUILDPREFIX)/bin/mpif*; \
                rm -f $(INSTALL_ROOT_$(OS))/$(CPUVARDIR)/$(PATH_BUILDPREFIX)/bin/ortec*; \
                rm -Rf $(INSTALL_ROOT_$(OS))/$(CPUVARDIR)/$(PATH_BUILDPREFIX)/lib/pkgconfig; \
                rm -f $(INSTALL_ROOT_$(OS))/$(CPUVARDIR)/$(PATH_BUILDPREFIX)/lib/*.la; \
                rm -f $(INSTALL_ROOT_$(OS))/$(CPUVARDIR)/$(PATH_BUILDPREFIX)/lib/pmix/*.la; \
                rm -f $(INSTALL_ROOT_$(OS))/$(CPUVARDIR)/$(PATH_BUILDPREFIX)/lib/openmpi/*.la; \
                rm -Rf $(INSTALL_ROOT_$(OS))/$(CPUVARDIR)/$(PATH_BUILDPREFIX)/share/man; \
                \
                { \
                    flock 9; \
                    if [ ! -f "$(INSTALL_ROOT_HDR)/mpi.h" ]; then \
                        mkdir -p $(INSTALL_ROOT_HDR); \
                        cp -R $(INSTALL_ROOT_$(OS))/$(CPUVARDIR)/usr/include/* $(INSTALL_ROOT_HDR); \
                    fi; \
                    rm -Rf $(INSTALL_ROOT_$(OS))/$(CPUVARDIR)/usr/include; \
                } 9>> $(PROJECT_ROOT)/post_install.lock


include $(MKFILES_ROOT)/autotools.mk
include $(MKFILES_ROOT)/qtargets.mk
